import Vue from 'vue';
import './Input.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, {
        searchIcon: string;
    }, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        type: unknown;
        disabled: boolean;
        icon: string;
        indicator: string;
    }>;
    parameters: {
        storySource: {
            source: string;
            locationsMap: {
                configurable: {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
                "with-icon": {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
            };
        };
        layout: string;
    };
};
export default _default;
export declare const configurable: () => Vue.Component;
export declare const withIcon: () => Vue.Component;
